Bug 1387928 - Calibre crashes when adding new book on Wayland
Summary: Calibre crashes when adding new book on Wayland
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: calibre
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
: 1401322 (view as bug list)
Depends On:
Blocks: WaylandRelated
TreeView+ depends on / blocked
 
Reported: 2016-10-23 21:31 UTC by František Zatloukal
Modified: 2017-12-12 10:49 UTC (History)
8 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-12-12 10:49:53 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Qt Bug Tracker QTBUG-55583 None None None 2016-10-24 19:18 UTC

Description František Zatloukal 2016-10-23 21:31:42 UTC
Description of problem:
Calibre crashes with SIGSEGV "(python2:542): Gdk-WARNING **: gdkwindow-x11.c:5554 drawable is not a native X11 window" when you click on "Add book" button which should open file chooser dialog.

Version-Release number of selected component (if applicable):
calibre-2.70.0-1.fc25.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Log in to GNOME (Wayland)
2. Run Calibre
3. Click on "Add book"

Actual results:
Calibre crashes after few seconds.

Expected results:
Calibre should not crash but show file chooser dialog.

Additional info:
Running calibre as native Wayland application fixes the issue.
env QT_QPA_PLATFORM=wayland-egl calibre

Comment 1 Kevin Fenzi 2016-10-23 22:11:37 UTC
Odd. We fixed this back in 2.65.0 / https://bugzilla.redhat.com/show_bug.cgi?id=1370926

Are you sure you are using 2.70.0 and not a locally installed older version or something?

Comment 2 František Zatloukal 2016-10-23 23:27:17 UTC
I've grabbed .src.rpm from Koji/F26 and built it in mock locally. Should I retest with official build?

Comment 3 František Zatloukal 2016-10-23 23:28:44 UTC
(In reply to Kevin Fenzi from comment #1)
> Are you sure you are using 2.70.0 and not a locally installed older version
> or something?

Checked and yes, it's 2.70.

Comment 4 Kevin Fenzi 2016-10-24 19:18:31 UTC
Ah right, I can confirm.

That other bug probibly shouldn't have been closed. ;( 

It's upstream QT bug: https://bugreports.qt.io/browse/QTBUG-55583

Comment 5 Kevin Fenzi 2016-11-21 16:09:05 UTC
Oh, this could be a dupe of: 

https://fedoraproject.org/wiki/Common_F25_bugs#Most_QT5_apps_crash_under_Wayland_when_displaying_a_file_dialog_if_you_don.27t_have_qgnomeplatform_installed

Was your system upgraded from a previous release? Do you have qgnomeplatform installed?

Comment 6 Kevin Fenzi 2016-12-04 19:30:47 UTC
*** Bug 1401322 has been marked as a duplicate of this bug. ***

Comment 7 Fedora End Of Life 2017-11-16 18:46:22 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 8 Fedora End Of Life 2017-12-12 10:49:53 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.